prepare-job:
  stage: .pre
  rules:
    - if: $CI_COMMIT_TAG
      when: never
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
  before_script:
    - sleep 10   # after container spin-up, a 4-5 second delay is required
    - echo 'delayed for container to populate update database'
    - apt-get update
    - apt-get install zip
  script:
    - ./.gitlab-fpkg.sh version validate prepare build confirm
  artifacts:
    paths:
        - package/${CI_PROJECT_TITLE}.zip
    reports:
      dotenv: variables.env

release-job:
  stage: deploy
  needs:
    - job: prepare-job
      artifacts: true
  rules:
    - if: $CI_COMMIT_TAG
      when: never
    - if: ($CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH)
  script:
    - echo "deploy release for $TAG"
  image: registry.gitlab.com/gitlab-org/release-cli:latest
  release:
    name: 'Release $TAG'
    description: 'Created using the release-cli'
    tag_name: '$TAG'
    ref: '$CI_COMMIT_SHA'
    assets:
      links:
        - name: '${CI_PROJECT_TITLE} - ${TAG} for FreeDOS'
          url: '${PKG_FREEDOS}'
          link_type: 'package'
